<template>
  <div class="font-apercu">
    <toolbar></toolbar>

    <div class="pt-16 h-screen">
      <router-view />
    </div>

    <modal :show="showError">
      <div class="flex flex-col" style="width: 350px;">
        <i
          class="icon-close text-2xl text-gray-disable hover:bg-whitesmoke-darker hover:text-primary-blue rounded cursor-pointer absolute right-0 top-0 mt-2 mr-2"
          @click="showError = false"
        ></i>

        <div
          class="flex items-center justify-center text-center p-8 text-2xl font-bold text-gray-title"
        >
          {{ messageError }}
        </div>
      </div>
    </modal>
  </div>
</template>

<script>
export default {
  data() {
    return {
      showError: false,
      messageError: "",
    };
  },

  beforeCreate() {
    /** @type {Api}*/
    this.api = this.$service.Api;
  },

  mounted() {
    this.api.onError((msg) => {
      this.showError = true;
      this.messageError = msg.message;
    });
  },
};
</script>
